# SmartDataLab project

This is the Gitlab group for sharing resources of the EUVE initiative.

EUVE initiative propose was to provide advance cloud computing and continous integration support to the projects from the ICT unit or other units. For example, cluster deployments, big data processing, etc.

## Structure

the group is divided into different groups with different access levels.

- templates: contains templates for the projects (WIP)
- public: contains public resources such as certificates, ci/cd pipelines, etc.
- libraries: contains libraries and tools that can be used by the projects. It has internal access so it can be shared by any person at tecnalia.
- management: contains the management resources of the group. It has private access, and only the group owners and authorized people can access it.

Libraries and management share a similar structure. The have as subgroups technologies for which we have reusable resources. For example, in the libraries group, we have a subgroup called `docker-compose` that contains compositions of services quite commonly used in projects. For example, inside you can find docker-compose-traefik-external that contains a traefik service that can be used as a reverse proxy for the services providing https through letsencrypt.
